Create a QuickBooks account
curl --request POST \
--url https://api.breezing.io/v1/qbo/accounts \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/qbo/accounts"
payload = {
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
accountSubType: '<string>',
acctNum: '<string>',
description: '<string>'
})
};
fetch('https://api.breezing.io/v1/qbo/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/qbo/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'accountSubType' => '<string>',
'acctNum' => '<string>',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/qbo/accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/qbo/accounts")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/qbo/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"code": "<string>",
"name": "<string>",
"type": "<string>",
"classification": "bank"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}QuickBooks
Create QuickBooks Account API
Create a new QuickBooks account from Breezing to add a destination for crypto journal entries without leaving the API workflow.
POST
/
qbo
/
accounts
Create a QuickBooks account
curl --request POST \
--url https://api.breezing.io/v1/qbo/accounts \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/qbo/accounts"
payload = {
"name": "<string>",
"accountSubType": "<string>",
"acctNum": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
accountSubType: '<string>',
acctNum: '<string>',
description: '<string>'
})
};
fetch('https://api.breezing.io/v1/qbo/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/qbo/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'accountSubType' => '<string>',
'acctNum' => '<string>',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/qbo/accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/qbo/accounts")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/qbo/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"accountSubType\": \"<string>\",\n \"acctNum\": \"<string>\",\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"code": "<string>",
"name": "<string>",
"type": "<string>",
"classification": "bank"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
QuickBooks AccountType. Determines which classification the account falls under.
Available options:
Bank, Other Current Asset, Fixed Asset, Other Asset, Accounts Receivable, Equity, Expense, Other Expense, Cost of Goods Sold, Accounts Payable, Credit Card, Long Term Liability, Other Current Liability, Income, Other Income Last modified on May 3, 2026